Bug 830520 - Requires python-wtforms ?
Requires python-wtforms ?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-flask-wtf (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 06:40 EDT by Pierre-YvesChibon
Modified: 2012-12-20 10:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:55:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2012-06-10 06:40:43 EDT
I found using Flask's form that there is apparently a dependency to python-wtforms which isn't satisfy by the rpm.

Could you adjust the Requires ?

Thanks
Comment 1 Praveen Kumar 2012-06-10 22:55:24 EDT
you mean python-flask is a dependency for python-wtforms or vice versa? Because I own only python-wtforms and able to made changes but python-flask is owned by someone else.
Comment 2 Pierre-YvesChibon 2012-06-11 01:41:10 EDT
I meant python-flask-wtf should require python-wtform that's why I reported this against python-flask-wtf.

Thanks
Comment 3 Praveen Kumar 2012-06-20 08:58:09 EDT
Hi, sorry for late response, was busy with day work.
I updated spec and built it on koji, please check below rpm, if it is working as expected then will update to package database. By the way python-wtform was already their in spec, it also provide runtime dependency.

koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=4179625
Comment 4 Pierre-YvesChibon 2012-07-03 14:24:28 EDT
What shall I test?

Without python-wtforms, the following fails, with python-wtforms it does not:
 from flaskext.wtf import Form, TextField

The error comes from:
from wtforms.fields import BooleanField, DecimalField, DateField, \
    DateTimeField, FieldList, FloatField, FormField, \
    HiddenField, IntegerField, PasswordField, RadioField, SelectField, \
    SelectMultipleField, SubmitField, TextField, TextAreaField

on /usr/lib/python2.7/site-packages/flaskext/wtf/__init__.py

Just adding the Requires: python-wtforms should fix this.
Comment 5 Fedora Update System 2012-07-03 22:56:30 EDT
python-flask-wtf-0.5.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-flask-wtf-0.5.2-3.fc17
Comment 6 Fedora Update System 2012-07-04 12:36:17 EDT
python-flask-wtf-0.5.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-flask-wtf-0.5.2-3.fc16
Comment 7 Fedora Update System 2012-07-05 19:32:00 EDT
Package python-flask-wtf-0.5.2-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-flask-wtf-0.5.2-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10261/python-flask-wtf-0.5.2-3.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 10:55:25 EST
Package python-flask-wtf-0.5.2-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-flask-wtf-0.5.2-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10261/python-flask-wtf-0.5.2-3.fc16
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.